// filter filterCard
::ng-deep .filterCard {
  max-height: 250px;
  background-color: #222831;
  color: #ebebeb;
  border-radius: 4px;
  font-size: 12px;
  font-weight: normal;
}

// We need to use ::ng-deep to overcome view encapsulation
::ng-deep {
  .custom-slider {
    color: #ebebeb;

    .ng5-slider .ng5-slider-selection {
      background: #06956f;
    }

    .ng5-slider .ng5-slider-pointer {
      background-color: #06956f;
      cursor: pointer;
      width: 22px;
      height: 22px;
      top: -9px;
      z-index: 3;
      border-radius: 16px;
    }

    .ng5-slider .ng5-slider-pointer:after {
      background-color: #ebebeb;
      content: '';
      width: 8px;
      height: 8px;
      position: absolute;
      top: 7px;
      left: 6px;
      border-radius: 4px;
    }

    .ng5-slider .ng5-slider-limit,
    .custom-slider .ng5-slider .ng5-slider-model-value,
    .custom-slider .ng5-slider .ng5-slider-model-high {
      font-size: 12px;
      color: #ebebeb !important;
    }
  }

  .select2-container--default .select2-results > .select2-results__options {
    background-color: #2e3641;
    color: #ffffff;
  }

  /* Clear "X" Hover */
  .select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover {
    color: #aa0000 !important;
  }
  /* Each Result */
  .select2-container--default .select2-selection--multiple .select2-selection__choice {
    color: #2e3641;
  }

  .select2-container--default .select2-selection--multiple,
  .select2-container--default.select2-container--focus .select2-selection--multiple {
    background-color: #2e3641 !important;
    border: 1px solid #4b525b !important;
  }
  .select2 .select2-container .select2-container--default {
    width: 100% !important;
  }
  .select2-selection__rendered {
    color: #fff !important;
  }
  .select2-container--default .select2-selection--single {
    background-color: #2e3641 !important;
    border: 1px solid #4b525b !important;
    border-radius: 4px !important;
    color: #fff !important;
  }
  .select2-container--default .select2-selection--single .select2-selection__arrow b {
    border-color: #fff transparent !important;
  }

  .select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b {
    border-color: #fff transparent !important;
  }
  .select2-container--default .select2-results__option[aria-selected='true'] {
    background-color: #00ad7c !important;
  }

  .select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #00ad7c !important;
  }

  .select2-selection .select2-selection--multiple {
    border: 1px solid #4b525b !important;
    background-color: #2e3641 !important;
  }
}
